Bug 637939 - Review Request: rubygem-gdk_pixbuf2 - Ruby binding of GdkPixbuf-2.x
Review Request: rubygem-gdk_pixbuf2 - Ruby binding of GdkPixbuf-2.x
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
:
Depends On: 635302 637448
Blocks: 639098 639636 639638
  Show dependency treegraph
 
Reported: 2010-09-27 15:39 EDT by Mamoru TASAKA
Modified: 2010-11-08 12:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 12:40:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mfojtik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-27 15:39:37 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-gdk_pixbuf2/rubygem-gdk_pixbuf2.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-gdk_pixbuf2/rubygem-gdk_pixbuf2-0.90.2-2.fc.src.rpm
Description: 
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

Depending on bug 635302 and bug 637448, so currently no scratch build
on koji is available.
Build log for F-14 is available on:
http://mtasaka.fedorapeople.org/Review_request/rubygem-gdk_pixbuf2/MOCK-rubygem-gdk_pixbuf2.log
Comment 2 Mamoru TASAKA 2010-10-23 13:00:22 EDT
ping?

(Note: 0.90.3 is released, however for now please review
 this 0.90.2 version)
Comment 4 Mamoru TASAKA 2010-10-31 14:51:18 EDT
http://mtasaka.fedorapeople.org/Review_request/rubygem-gdk_pixbuf2/rubygem-gdk_pixbuf2.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-gdk_pixbuf2/rubygem-gdk_pixbuf2-0.90.5-2.fc.src.rpm

* Sun Oct 31 2010 Mamoru Taska  <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.5-2
- 0.90.5
- Move C extension so that "require %%gemname" works correctly
Comment 5 Mamoru TASAKA 2010-11-01 14:22:23 EDT
Michal, would you review this? This bug currently blocks all other
ruby-gnome2 related packages.
Comment 6 Michal Fojtik 2010-11-04 06:10:09 EDT
I'm really sorry for the delay, as usually, this package looks perfectly sane for me:

* Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname is the name from the Gem's specification.

[OK]

* The Source of the package must be the full URL to the released Gem archive; th version of the package must be the Gem's version

[!] Please correct URL to: http://rubygems.org/downloads/%{gemname}-%{version}.gem

The package must have a Requires and a BuildRequires on rubygems

[OK]

For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}) with the same version constraints as the Gem

[OK]

The %prep and %build sections of the specfile should be empty.

[OK] -> They are not empty, but it's OK for binary extensions

The Gem must be installed into %{gemdir} defined as
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)

[OK]

Architecture-specific content must not be installed into %{gemdir}

[OK]

If the Gem contains binary content (e.g., for a database driver), it must be marked as architecture specific, and all architecture specific content must be moved from the %{gemdir} to the [#ruby_sitearch %{ruby_sitearch} directory] during %install

[OK]

Other things looks good as well. REVIEW+

(Please correct that URL before importing this gem into git)
Comment 7 Mamoru TASAKA 2010-11-04 06:23:23 EDT
Thank you!
Would you change fedora-review flag instead of fedora-cvs flag?
(I can do it, however I guess I should not do it)
Comment 8 Michal Fojtik 2010-11-04 08:00:54 EDT
(In reply to comment #7)
> Thank you!
> Would you change fedora-review flag instead of fedora-cvs flag?
> (I can do it, however I guess I should not do it)

Oh crap, sorry for that. Just too much work nowadays ;-)
Comment 9 Mamoru TASAKA 2010-11-04 16:37:41 EDT
Thank you again!

New Package SCM Request
=======================
Package Name:       rubygem-gdk_pixbuf2
Short Description:  Ruby binding of GdkPixbuf-2.x
Owners:             mtasaka
Branches:           f13 f14
Comment 10 Jason Tibbitts 2010-11-05 13:22:37 EDT
Git done (by process-git-requests).
Comment 11 Mamoru TASAKA 2010-11-08 12:40:46 EST
Closing.

Thank you for reviewing and SCM procedure.

Note You need to log in before you can comment on or make changes to this bug.